# Scanyonero

A tool for preprocessing scanned documents before they are sent to paperless.
Simply point your scanner to the FTP server this software provides, and it will do the rest.

## Features

- Built in FTP server, and therefore no need for temporary files or any other Rube Goldberg-esque setups.
- Web-app where you can preview, sort, split and merge your scans before sending them to paperless.
- Can use OCRmyPDF for adding searchable text to your scanned documents.
- Can clean up documents and make them as pristine and compact as possible.

## Usage

TODO: Update README.md

1. Install the project somewhere.
2. Edit [main.go](main.go) to use the correct paths to your scanner and paperless consumption directories.
3. Copy the [ocrmypdf-runner.service](service/linux/systemd/ocrmypdf-runner.service) into your systemd services directory (`etc/systemd/system/ocrmypdf-runner.service`). You may have to change the user in the service file.
4. `systemctl daemon-reload`
5. `systemctl enable ocrmypdf-runner.service`
6. `systemctl start ocrmypdf-runner.service`
