package ftpserver_test

import (
	"Scanyonero/ftpserver"
	"log"
	"testing"
)

func TestDriver(t *testing.T) {
	t.SkipNow()

	server, err := ftpserver.NewFTPServer("", "", "127.0.0.1:21")
	if err != nil {
		log.Panicf("Failed to create FTP-Server: %v.", err)
	}

	for file := range server.FileChan() {
		log.Printf("Received file %v with %d bytes.", file.Name, len(file.Data))
	}
}
