package main

// ServerWebsocketPacket represents a websocket packet.
type ServerWebsocketPacket interface {
	Type() string
}

var serverWebsocketPacketRegistry map[string]ServerWebsocketPacket = map[string]ServerWebsocketPacket{}

func ServerWebsocketPacketRegister(prototype ServerWebsocketPacket) {
	serverWebsocketPacketRegistry[prototype.Type()] = prototype
}
